
Redmine - Defect #618

right click on an issue line near the bottom of the browser doesn't display menu

2008-02-08 08:37 - Kioma Aldecoa

Status: Closed Start date: 2008-02-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

When I right click an issue near the bottom of the page, the menu drops off the screen and I can't access the menu items.  If I scroll

down I can sometimes get to where I can access the menu.

The solution would be to move the menu up a little when near the bottom of the window.

Related issues:

Has duplicate Redmine - Defect #960: Right click menu can be rendered off-screen Closed 2008-03-30

History

#1 - 2008-02-08 08:37 - Kioma Aldecoa

Related to:

http://www.redmine.org/issues/show/607

#2 - 2008-03-21 21:14 - Rocco Stanzione

This one is hard.  To properly position the menu if it's going to be rendered offscreen, we need its height, which is 0 because it's display:none.  Maybe

there's some other workaround.

#3 - 2008-04-03 18:46 - Jean-Philippe Lang

- Status changed from New to Closed

Thanks for this patch Mike. It's committed in r1323.

I made a slight change so that the submenus are also displayed above or to the left.

Tested with FF2, IE6/7, Safari3, Opera8 (submenus will always be displayed on the right with IE6). Personnaly, I do not (and won't) test anything with

IE5.

Thanks!
